#[macro_use]
extern crate log;

use structopt::StructOpt;

use crate::logging::setup_logger;
use structopt::clap::Shell;

use music_bg_lib::result::MBGResult;

use crate::cli_modes::run;

pub mod logging;
pub mod cli_modes;

include!("cli.rs");

fn main() -> MBGResult<()> {
    let opt: Opt = Opt::from_args();
    let logger = setup_logger();
    if let Err(error) = logger {
        error!("Failed to create pretty logger");
        error!("{}", error.to_string());
        error!("Using default logging");
    }
    run(opt)
}
